{"swagger":"2.0","info":{"title":"alma-bibs","description":"For more information on how to use these APIs, including how to create an API key required for authentication, see [Alma REST APIs](https://developers.exlibrisgroup.com/alma/apis).","termsOfService":"https://developers.exlibrisgroup.com/about/terms","version":"v1"},"schemes":["https","http"],"host":"api-cpa.gov.pl","basePath":"/alma/bibs/v1","externalDocs":{"description":"Detailed documentation on these APIs at the Ex Libris Developer Network.","url":"https://developers.exlibrisgroup.com/alma/apis/"},"tags":[{"name":"Catalog"},{"name":"Loans"},{"name":"Requests"},{"name":"Request Options"},{"name":"Collections"},{"name":"E-Collections"},{"name":"Digital Representations"},{"name":"Reminders"},{"name":"Authorities"},{"name":"Test"}],"paths":{"/almaws/v1/bibs":{"get":{"tags":["Catalog"],"description":"This web service returns Bib records in an XML format from a list of Bib IDs submitted in a parameter.\n\n\n\nTo include physical inventory information use expand=p_avail:\n\nAVA field is added per holding record (related to the input mms-id or to a related Bib records) as following:\n\n$$a - Institution code, $$b - Library code, $$c - Location display name, $$h - Campus,\n\n$$d - Call number, $$e - Availability (such as available, unavailable, or check_holdings),\n\n$$j - Location code, $$k - Call number type, $$f - total items, $$g - non available items,\n\n$$v - Calculated summary information,\n\n$$p - priority, $$0 - Bib record ID, $$8 - Holdings ID (of items on permanent location only), $$t - Holdings Information, $$q - library name.\n\n AVA is added also for items in temporary location. For such items, $$8 (holding id) will not be added.\n\nNote: When using the API against a NZ Institution AVA fields will be retrieved for each member which has holdings.\n\n\n\nTo include digital inventory information use: expand=d_avail:\n\nMARC - AVD field is added per Representations, as following:\n\n$$a - Institution code, $$b - Representations ID, $$c - REPRESENTATION/REMOTE_REPRESENTATION, $$d - Repository Name, $$e - Label, $$f - Public Note, $$h - Full Text Link, $$r - IED.\n\nDublin Core - A dc:identifier field with a delivery URL is added per representation.\n\nMODS - A location/url field with a delivery URL is added per representation.\n\n\n\nTo include electronic inventory information use: expand=e_avail:\n\nAVE field is added per portfolio, as following:\n\n$$l -library code, $$m - Collection name, $$n - Public note, $$u - link to the bibliographic record's services page,\n\n$$s - coverage statement (as displayed in Primo's ViewIt mashup), $$t - Interface name.\n\n$$8 - portfolio pid, $$c - collection identifier for the electronic resource, $$e - activation status.\n\n$$i - Available for institution, $$d - Available for library, $$b - Available for campus.\n\nNote:  $$u will be created based on a Customer Parameter in the Customer Parameters mapping table (module: general): publishing_base_url.\n\nNote: When using the API against a NZ Institution AVE fields will also be retrieved for each member which has portfolios, including $$a with the Institution code and $$0 with the mms-id.\n\n\n\nNote: For Dublin Core records the expand parameter does not create an addition AVD field. Instead it creates a dc:identifier field with a delivery URL.\n\nNote:The bibliographic record retrieved from Alma is enriched with additional identifiers.\n\nThe MMS ID of the Network Zone and the Alma Community Zone ID are added to the record\n\nin additional 035 marc fields. The Community Zone ID is added with the prefix (EXLCZ)\n\nwhile the Network Zone ID is added with the prefix (EXLNZ-network_code). The local\n\nMMS ID is in the 001 marc field. These additional shared IDs can be used for better\n\nidentification of a common record. The local MMS ID should be used when there is a need to call\n\nan API in the institution for the record.","summary":"Retrieve Bibs","operationId":"get/almaws/v1/bibs","parameters":[{"name":"mms_id","in":"query","required":false,"type":"string","description":"A list of Bib Record IDs (for example: 99939650000541,99939680000541) from 1 to the limit of 100"},{"name":"ie_id","in":"query","required":false,"type":"string","description":"IE identifier (IEP, IED etc.)"},{"name":"holdings_id","in":"query","required":false,"type":"string","description":"Holdings ID"},{"name":"representation_id","in":"query","required":false,"type":"string","description":"Representation ID"},{"name":"nz_mms_id","in":"query","required":false,"type":"string","description":"Network Zone ID"},{"name":"cz_mms_id","in":"query","required":false,"type":"string","description":"Community Zone ID"},{"name":"view","in":"query","required":false,"type":"string","description":"Use view=brief to retrieve without the full record."},{"name":"expand","in":"query","required":false,"type":"string","description":"This parameter allows for expanding the bibliographic record with additional information:\n\n p_avail - Expand physical inventory information.\n\n e_avail - Expand electronic inventory information.\n\n d_avail - Expand digital inventory information.\n\n requests - Expand total number of title requests.\n\n To use more than one, use a comma separator."},{"name":"other_system_id","in":"query","required":false,"type":"string","description":"An Other System Id. An additional ID stored as part of the record's network numbers. Optional."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bibs.xsd. See [here](/alma/apis/docs/xsd/rest_bibs.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/bibs"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402203 - 'Input parameter mmsId list is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Catalog"],"description":"These web services create a new Bib record, and also allows creation of a local record for a NZ record.\n\n Note: JSON is not supported for this API.\n\nFor more information regarding the various options supported for this API see [here](https://developers.exlibrisgroup.com/blog/cataloging-APIs-enhancements).","summary":"Create record","operationId":"post/almaws/v1/bibs","parameters":[{"name":"from_nz_mms_id","in":"query","required":false,"type":"string","description":"The MMS_ID of the Network-Zone record. Leave empty when creating a regular local record."},{"name":"from_cz_mms_id","in":"query","required":false,"type":"string","description":"The MMS_ID of the Community-Zone record. Leave empty when creating a regular local record."},{"name":"normalization","in":"query","required":false,"type":"string","description":"The id of the normalization profile to run."},{"name":"validate","in":"query","required":false,"type":"string","description":"Indicating whether to check for errors. Default: false."},{"name":"override_warning","in":"query","required":false,"default":"true","type":"string","description":"Indicating whether to ignore warnings. Default: true (record will be saved and the warnings will be added to the API output)."},{"name":"check_match","in":"query","required":false,"default":"false","type":"string","description":"Indicating whether to check for a match. Default: false (record will be saved despite possible match)."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bib.xsd. See [here](/alma/apis/docs/xsd/rest_bib.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/bib"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402209 - 'Given bib xml is invalid.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n402210 - 'Failed to create new bib.'\n\n33007 - 'No record found for MMS id X'\n\n60105 - 'JSON is not supported for this API.'\n\n4022030 - 'Invalid normalization profile ID.'\n\n4022031 - 'Failed to normalize record.'\n\n4022032 - 'The record failed validation (with specified error).'\n\n4022033 - 'Failed validation on the record.'\n\n4022040 - 'Cataloging level is not enabled for your institution.'\n\n60307 - 'The given bib object has matching records.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/authorities":{"get":{"tags":["Authorities"],"description":"This web service returns a list of Authority records.","summary":"Retrieve Authorities","operationId":"get/almaws/v1/bibs/authorities","parameters":[{"name":"originating_system","in":"query","required":false,"type":"string","description":"The originating system. System in which the record was initially generated. Optional. But one of the three parameters is required."},{"name":"originating_system_id","in":"query","required":false,"type":"string","description":"The originating system ID. The ID of the record in the original system. Optional. But originating system is required if this is present."},{"name":"other_system_id","in":"query","required":false,"type":"string","description":"The other system ID. An additional ID stored as part of the record's network numbers. Optional."},{"name":"limit","in":"query","required":false,"default":"10","type":"integer","description":"Limits the number of results. Optional. Valid values are 0-100. Default value: 10."},{"name":"offset","in":"query","required":false,"default":"0","type":"integer","description":"Offset of the results returned. Optional. Default value: 0, which means that the first results will be returned."},{"name":"view","in":"query","required":false,"default":"full","type":"string","description":"Use view=brief to retrieve without the MARCXML."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_authorities.xsd. See [here](/alma/apis/docs/xsd/rest_authorities.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/authorities"}},"400":{"description":"Bad Request\n\n60292 - 'One of the system parameters is required.'\n\n60293 - 'The originating system was supplied without the system ID.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Authorities"],"description":"This web service creates a new Authority record.\n\n Note: JSON is not supported for this API.\n\nFor more information regarding the various options supported for this API see [here](https://developers.exlibrisgroup.com/blog/cataloging-APIs-enhancements).","summary":"Create Authority Record","operationId":"post/almaws/v1/bibs/authorities","parameters":[{"name":"normalization","in":"query","required":false,"default":"","type":"string","description":"The id of the normalization profile to run."},{"name":"validate","in":"query","required":false,"default":"false","type":"string","description":"Boolean flag for indicating whether to validate the record. Default is: false."},{"name":"override_warning","in":"query","required":false,"default":"true","type":"string","description":"Override the warning(s). Ignored if validate=false. Default is: true"},{"name":"check_match","in":"query","required":false,"default":"false","type":"string","description":"Indicating whether to check for a match. Default: false (record will be saved despite possible match)."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_authority.xsd. See [here](/alma/apis/docs/xsd/rest_authority.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/authority"}},"400":{"description":"Bad Request\n\n402209 - 'Given Authority xml is invalid.'\n\n60105 - 'JSON is not supported for this API.'\n\n4022030 - 'Invalid normalization profile ID.'\n\n4022031 - 'Failed to normalize record.'\n\n60264 - 'Record format is not valid.'\n\n402214 - 'Authority save failed from missing data.'\n\n60265 - 'Authority creation failed.'\n\n60266 - 'Vocabulary code is not valid.'\n\n60294 - 'The authority record creation has failed with warnings.'\n\n60295 - 'The authority record element is not in the payload.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/authorities/{authority_record_id}":{"delete":{"tags":["Authorities"],"description":"This web service deletes an Authority Record.\n\nFor more information regarding the various options supported for this API see [here](https://developers.exlibrisgroup.com/blog/cataloging-APIs-enhancements).","summary":"Delete Authority Record","operationId":"delete/almaws/v1/bibs/authorities/{authority_record_id}","parameters":[{"name":"authority_record_id","in":"path","required":true,"type":"string","description":"The Authority Record ID."},{"name":"override","in":"query","required":false,"default":"false","type":"string","description":"Override the warnings and delete the Authority Record. Optional. The default is to not override (false)."},{"name":"cataloger_level","in":"query","required":false,"default":"","type":"string","description":"Cataloger level of the user deleting the record."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n402203 - 'An error has occured while validating the mms_id.'\n\n401873 - 'Input parameter mms_id or parameter override is not valid.'\n\n4022020 - 'Delete Authority error.'\n\n40166454 - 'Delete Authority error. Community Zone Authority cannot be deleted.'\n\n4022040 - 'Cataloging level is not enabled for your institution.'\n\n60303 - 'Cannot delete this record due to insufficient cataloger level privileges.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Authorities"],"description":"This web service returns an Authority record.","summary":"Retrieve Authority Record","operationId":"get/almaws/v1/bibs/authorities/{authority_record_id}","parameters":[{"name":"authority_record_id","in":"path","required":true,"type":"string","description":"The Authority Record ID."},{"name":"view","in":"query","required":false,"default":"full","type":"string","description":"Use view=brief to retrieve without the MARCXML."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_authority.xsd. See [here](/alma/apis/docs/xsd/rest_authority.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/authority"}},"400":{"description":"Bad Request\n\n402203 - 'Input authority ID is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Authorities"],"description":"This web service updates an Authority Record.\n\n Note: JSON is not supported.\n\nFor more information regarding the various options supported for this API see [here](https://developers.exlibrisgroup.com/blog/cataloging-APIs-enhancements).\n\nSee [Working with APIs in a Network Topology](https://developers.exlibrisgroup.com/blog/Working-with-APIs-in-a-Network-Topology) for more details.","summary":"Update Authority Record","operationId":"put/almaws/v1/bibs/authorities/{authority_record_id}","parameters":[{"name":"authority_record_id","in":"path","required":true,"type":"string","description":"The Authority Record ID."},{"name":"normalization","in":"query","required":false,"default":"","type":"string","description":"The id of the normalization profile to run."},{"name":"validate","in":"query","required":false,"default":"false","type":"string","description":"Boolean flag for indicating whether to validate the record. Default is: false."},{"name":"override_warning","in":"query","required":false,"default":"true","type":"string","description":"Override the warning(s). Ignored if validate=false. Default is: true"},{"name":"override_lock","in":"query","required":false,"default":"true","type":"string","description":"Override the record lock. Default is: true (record will be saved regardless if is currently being edited by another user)."},{"name":"stale_version_check","in":"query","required":false,"default":"false","type":"string","description":"Check for record identical to one in the database. Default is: false (When true, the 005 field of the MARC record must be identical to that of the record in the database.)"},{"name":"cataloger_level","in":"query","required":false,"default":"","type":"string","description":"Catalog level of the user updating the record - used for validating that the level is sufficient. To change the record's level, use the payload's cataloging_level field."},{"name":"check_match","in":"query","required":false,"default":"false","type":"string","description":"Indicating whether to check for a match. Default: false (record will be saved despite possible match)."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_authority.xsd. See [here](/alma/apis/docs/xsd/rest_authority.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/authority"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402203 - 'Input parameters mmsId X is not valid.'\n\n60105 - 'JSON is not supported for this API.'\n\n4022030 - 'Invalid normalization profile ID.'\n\n4022031 - 'Failed to normalize record.'\n\n4022032 - 'The record failed validation (with specified error).'\n\n4022033 - 'The record could not be validated.'\n\n60294 - 'The authority record update has failed with warnings.'\n\n60295 - 'The authority record element is not in the payload.'\n\n4022034 - 'The authority record version is stale.'\n\n60265 - 'Authority update failed.'\n\n4022040 - 'Cataloging level is not enabled for your institution.'\n\n4022041 - 'Cannot update this record due to insufficient cataloger level privileges.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/collections":{"get":{"tags":["Collections"],"description":"This Web service returns a list of collections.","summary":"Retrieve Collections","operationId":"get/almaws/v1/bibs/collections","parameters":[{"name":"level","in":"query","required":true,"type":"string","description":"The number of levels of sub-collections to retrieve. Optional. For example, 1 = only current; 2 = immediate decendants. Does not work with query. Default is 1."},{"name":"q","in":"query","required":false,"default":"","type":"string","description":"Search query. Optional.  Does not work with levels parameter. Searching for text in library, collection name, external system or external ID. Multiple search terms may be combined with AND only. For example q=external_system~x%20AND%20external_id~y."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_collections.xsd. See [here](/alma/apis/docs/xsd/rest_collections.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/collections"}},"400":{"description":"Bad Request\n\n60106 - 'Invalid query format.'\n\n402469 - 'The library query was not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Collections"],"description":"This Web service creates a collection.","summary":"Create Collection","operationId":"post/almaws/v1/bibs/collections","parameters":[{"name":"record_format","in":"query","required":false,"default":"marc21","type":"string","description":"The record format which may be marc21, unimarc, kormarc, cnmarc, dc, dcap01, dcap02, or etd."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_collection.xsd. See [here](/alma/apis/docs/xsd/rest_collection.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/collection"}},"400":{"description":"Bad Request\n\n402215 - 'An input parameter was not valid.'\n\n402472 - 'The collection Name must be provided.'\n\n402471 - 'The collection Name is a duplicate of another collection Name.'\n\n402469 - 'The Library of the collection was not found.'\n\n402550 - 'The Parent Pid of the collection was not found.'\n\n402551 - 'The collection creation failed.'\n\n702266 - 'Collection order must be greater than or equal to 0.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/collections/{pid}":{"delete":{"tags":["Collections"],"description":"This Web service removes a collection that has no Sub Collections and no Bibliographic titles attached.","summary":"Remove a collection with no Bibs","operationId":"delete/almaws/v1/bibs/collections/{pid}","parameters":[{"name":"pid","in":"path","required":true,"type":"string","description":"The collection ID."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n40166411 - 'Param value is invalid.'\n\n402552 - 'The deletion failed.'\n\n402553 - 'The collection has a Bib attached.'\n\n402555 - 'The collection has sub collections.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Collections"],"description":"This Web service returns a collection for a given pid.","summary":"Retrieve Collection","operationId":"get/almaws/v1/bibs/collections/{pid}","parameters":[{"name":"pid","in":"path","required":true,"type":"string","description":"The collection ID."},{"name":"level","in":"query","required":true,"type":"string","description":"This parameter determines the number of levels of sub-collections should be retrieved. For example, 1 = only current; 2 = immediate decendants. Default is 1."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_collection.xsd. See [here](/alma/apis/docs/xsd/rest_collection.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/collection"}},"400":{"description":"Bad Request\n"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Collections"],"description":"This Web service updates a collection.","summary":"Update Collection","operationId":"put/almaws/v1/bibs/collections/{pid}","parameters":[{"name":"pid","in":"path","required":true,"type":"string","description":"The collection ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_collection.xsd. See [here](/alma/apis/docs/xsd/rest_collection.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n40166411 - 'Param value is invalid.'\n\n402469 - 'The library was not found for the collection.'\n\n402471 - 'The collection Name is a duplicate of another collection Name.'\n\n402472 - 'The collection name must be provided.'\n\n402468 - 'An update or partial update failed.'\n\n402554 - 'The collection parent is not valid.'\n\n702266 - 'Collection order must be greater than or equal to 0.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/collections/{pid}/bibs":{"get":{"tags":["Collections"],"description":"This Web service returns a list of bibliographic titles in a given collection.","summary":"Retrieve Bibs in a collection","operationId":"get/almaws/v1/bibs/collections/{pid}/bibs","parameters":[{"name":"pid","in":"path","required":true,"type":"string","description":"The collection ID."},{"name":"offset","in":"query","required":false,"default":"0","type":"string","description":"Offset of the results returned. Optional.Default value: 0, which means that the first results will be returned."},{"name":"limit","in":"query","required":false,"default":"10","type":"integer","description":"Limits the number of results. Optional. Valid values are 0-100. Default value: 10."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bibs.xsd. See [here](/alma/apis/docs/xsd/rest_bibs.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/bibs"}},"400":{"description":"Bad Request\n"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Collections"],"description":"This Web service adds a bibliographic title into a given collection.","summary":"Add Bib to a collection","operationId":"post/almaws/v1/bibs/collections/{pid}/bibs","parameters":[{"name":"pid","in":"path","required":true,"type":"string","description":"The collection ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bib.xsd. See [here](/alma/apis/docs/xsd/rest_bib.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n701115 - 'Bib record is already assigned to this collection.'\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/collections/{pid}/bibs/{mms_id}":{"delete":{"tags":["Collections"],"description":"This Web service removes a bibliographic title from a collection.","summary":"Remove Bib from a collection","operationId":"delete/almaws/v1/bibs/collections/{pid}/bibs/{mms_id}","parameters":[{"name":"pid","in":"path","required":true,"type":"string","description":"The collection ID."},{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID (for example, 99939650000541)."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/test":{"get":{"tags":["Test"],"description":"This API is used to test if the API key was configured correctly.","summary":"GET Inventory Test API","operationId":"get/almaws/v1/bibs/test","parameters":[],"responses":{"200":{"description":"OK","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"type":"object"}},"400":{"description":"Bad Request\n"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Test"],"description":"This API is used to test if the API key was configured correctly, including read/write permissions.","summary":"POST Inventory Test API","operationId":"post/almaws/v1/bibs/test","parameters":[],"responses":{"200":{"description":"OK","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}":{"delete":{"tags":["Catalog"],"description":"This web service deletes a Bib Record.\n\nFor more information regarding the various options supported for this API see [here](https://developers.exlibrisgroup.com/blog/cataloging-APIs-enhancements).","summary":"Delete Bib Record","operationId":"delete/almaws/v1/bibs/{mms_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"override","in":"query","required":false,"default":"false","type":"string","description":"Override the warnings and delete the Bib Record. Optional. The default is to not override (false)."},{"name":"cataloger_level","in":"query","required":false,"default":"","type":"string","description":"Cataloger level of the user deleting the record."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n402203 - 'An error has occured while validating the mms_id.'\n\n401873 - 'Input parameter mms_id or parameter override is not valid.'\n\n4022020 - 'Delete Bib error.'\n\n40166454 - 'Delete Bib error. Community Zone Bib cannot be deleted.'\n\n4022040 - 'Cataloging level is not enabled for your institution.'\n\n60303 - 'Cannot delete this record due to insufficient cataloger level privileges.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Catalog"],"description":"This web service returns a Bib record in an XML format.\n\n\n\nTo include physical inventory information use expand=p_avail:\n\nAVA field is added per holding record (related to the input mms-id or to a related Bib records) as following:\n\n$$a - Institution code, $$b - Library code, $$c - Location display name, $$h - Campus,\n\n$$d - Call number, $$e - Availability (such as available, unavailable, or check_holdings),\n\n$$j - Location code, $$k - Call number type, $$f - total items, $$g - non available items,\n\n$$v - Calculated summary information,\n\n$$p - priority, $$0 - Bib record ID, $$8 - Holdings ID (of items on permanent location only), $$t - Holdings Information, $$q - library name.\n\n AVA is added also for items in temporary location. For such items, $$8 (holding id) will not be added.\n\nNote: When using the API against a NZ Institution AVA fields will be retrieved for each member which has holdings.\n\n\n\nTo include digital inventory information use: expand=d_avail:\n\nMARC - AVD field is added per Representations, as following:\n\n$$a - Institution code, $$b - Representations ID, $$c - REPRESENTATION/REMOTE_REPRESENTATION, $$d - Repository Name, $$e - Label, $$f - Public Note, $$h - Full Text Link, $$r - IED.\n\nDublin Core - A dc:identifier field with a delivery URL is added per representation.\n\nMODS - A location/url field with a delivery URL is added per representation.\n\n\n\nTo include electronic inventory information use: expand=e_avail:\n\nAVE field is added per portfolio, as following:\n\n$$l -library code, $$m - Collection name, $$n - Public note, $$u - link to the bibliographic record's services page,\n\n$$s - coverage statement (as displayed in Primo's ViewIt mashup), $$t - Interface name.\n\n$$8 - portfolio pid, $$c - collection identifier for the electronic resource, $$e - activation status.\n\n$$i - Available for institution, $$d - Available for library, $$b - Available for campus.\n\nNote:  $$u will be created based on a Customer Parameter in the Customer Parameters mapping table (module: general): publishing_base_url.\n\nNote: When using the API against a NZ Institution AVE fields will also be retrieved for each member which has portfolios, including $$a with the Institution code and $$0 with the mms-id.\n\n\n\nNote: For Dublin Core records the expand parameter does not create an addition AVD field. Instead it creates a dc:identifier field with a delivery URL.\n\nNote:The bibliographic record retrieved from Alma is enriched with additional identifiers.\n\nThe MMS ID of the Network Zone and the Alma Community Zone ID are added to the record\n\nin additional 035 marc fields. The Community Zone ID is added with the prefix (EXLCZ)\n\nwhile the Network Zone ID is added with the prefix (EXLNZ-network_code). The local\n\nMMS ID is in the 001 marc field. These additional shared IDs can be used for better\n\nidentification of a common record. The local MMS ID should be used when there is a need to call\n\nan API in the institution for the record.","summary":"Retrieve Bib","operationId":"get/almaws/v1/bibs/{mms_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"view","in":"query","required":false,"default":"full","type":"string","description":"Use view=brief to retrieve without the full record. Use view=local_fields to retrieve only local fields for an IZ record linked to an NZ record."},{"name":"expand","in":"query","required":false,"default":"None","type":"string","description":"This parameter allows for expanding the bibliographic record with additional information:\n\n p_avail - Expand physical inventory information.\n\n e_avail - Expand electronic inventory information.\n\n d_avail - Expand digital inventory information.\n\n requests - Expand total number of title requests.\n\n To use more than one, use a comma separator."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bib.xsd. See [here](/alma/apis/docs/xsd/rest_bib.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/bib"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n402203 - 'Input parameters mmsId X is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Catalog"],"description":"This web service performs an operation on a Bib record.  Currently, the supported operation is to unlink from NZ. Note: JSON is not supported for this API.","summary":"Operate on record","operationId":"post/almaws/v1/bibs/{mms_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"op","in":"query","required":true,"type":"string","description":"The operation that is to be performed. Currently, only option is: unlink_from_nz."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bib.xsd. See [here](/alma/apis/docs/xsd/rest_bib.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n40166452 - 'Error - Not supported from the network zone.'\n\n40166453 - 'Error - Not supported from the institution zone.'\n\n402278 - 'Error - Parse exception for input record.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n33007 - 'No record found for MMS id X'\n\n60105 - 'JSON is not supported for this API.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Catalog"],"description":"This web service updates a Bib Record.\n\n Note: JSON is not supported, and updating a linked CZ record is currently not supported.\n\nFor more information regarding the various options supported for this API see [here](https://developers.exlibrisgroup.com/blog/cataloging-APIs-enhancements).\n\nFor an IZ record that is linked to NZ record, local fields will be replaced - based on $$9local field indication.\n\nUpdating of non-local fields should be done directly on the NZ record.\n\nSee [Working with APIs in a Network Topology](https://developers.exlibrisgroup.com/blog/Working-with-APIs-in-a-Network-Topology) for more details.","summary":"Update Bib Record","operationId":"put/almaws/v1/bibs/{mms_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"normalization","in":"query","required":false,"default":"","type":"string","description":"The id of the normalization profile to run."},{"name":"validate","in":"query","required":false,"default":"false","type":"string","description":"Indicating whether to check for errors. Default: false."},{"name":"override_warning","in":"query","required":false,"default":"true","type":"string","description":"Indicating whether to ignore warnings. Default: true (record will be saved and the warnings will be added to the API output)."},{"name":"override_lock","in":"query","required":false,"default":"true","type":"string","description":"Indicating whether to ignore lock. Default: true (record will be saved regardless if is currently being edited by another user)."},{"name":"stale_version_check","in":"query","required":false,"default":"false","type":"string","description":"Indicating whether to validate stale version of the record. When true, the 005 field of the MARC record must be identical to that of the record in the database. Default: false."},{"name":"cataloger_level","in":"query","required":false,"default":"","type":"string","description":"Cataloger level of the user updating the record - used for validating that the level is sufficient. To change the record's level, use the payload's cataloging_level field."},{"name":"check_match","in":"query","required":false,"default":"false","type":"string","description":"Indicating whether to check for a match. Default: false (record will be saved despite possible match)."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_bib.xsd. See [here](/alma/apis/docs/xsd/rest_bib.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n40166454 - 'Error - Not supported from the community zone.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n402203 - 'Input parameters mmsId X is not valid.'\n\n60105 - 'JSON is not supported for this API.'\n\n4022030 - 'Invalid normalization profile ID.'\n\n4022031 - 'Failed to normalize record.'\n\n4022032 - 'The record failed validation (with specified error).'\n\n4022033 - 'Failed validation on the record.'\n\n4022034 - 'A newer version of this record exists in the repository.'\n\n4022040 - 'Cataloging level is not enabled for your institution.'\n\n4022041 - 'Cannot update this record due to insufficient cataloger level privileges.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/booking-availability":{"get":{"tags":["Requests"],"description":"This web service returns list of periods in which specific title (MMS) is unavailable for booking.","summary":"Retrieve booking availability for a Title","operationId":"get/almaws/v1/bibs/{mms_id}/booking-availability","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"period","in":"query","required":true,"type":"integer","description":"The number of days/weeks/months to retrieve availability for. Mandatory."},{"name":"period_type","in":"query","required":true,"type":"string","description":"The type of period of interest. Optional. Possible values: days, weeks, months. Default: days."},{"name":"user_id","in":"query","required":false,"default":"","type":"string","description":"A unique identifier for the user, for which the booking request is about to be done. Optional. If not supplied, the system will calculate a minimal availability."},{"name":"user_id_type","in":"query","required":false,"default":"all_unique","type":"string","description":"The type of identifier that is being searched. Optional. If this is not provided, all unique identifier types are used. The values that can be used are any of the values in the User Identifier Type code table."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_booking_availability.xsd. See [here](/alma/apis/docs/xsd/rest_booking_availability.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/booking_availability"}},"400":{"description":"Bad Request\n\n401890 - 'User with identifier X of type Y was not found.'\n\n4018990 - 'Unsupported period type.'\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/e-collections":{"get":{"tags":["E-Collections"],"description":"This web service returns Electronic Collections for a Bib.","summary":"Retrieve Electronic Collections for Bib record","operationId":"get/almaws/v1/bibs/{mms_id}/e-collections","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"limit","in":"query","required":false,"default":"10","type":"integer","description":"Limits the number of results. Optional. Valid values are 0-100. Default value: 10."},{"name":"offset","in":"query","required":false,"default":"0","type":"integer","description":"Offset of the results returned. Optional. Default value: 0, which means that the first results will be returned."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_electronic_collections.xsd. See [here](/alma/apis/docs/xsd/rest_electronic_collections.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/electronic_collections"}},"400":{"description":"Bad Request\n\n402203 - 'Input parameter mms Id is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/e-collections/{collection_id}":{"get":{"tags":["E-Collections"],"description":"This web service returns an Electronic Collection for a Bib ID and an Electronic Collection ID.","summary":"Retrieve Electronic Collection","operationId":"get/almaws/v1/bibs/{mms_id}/e-collections/{collection_id}","parameters":[{"name":"mms_id","in":"path","type":"string","required":true,"description":"The Bib Record ID."},{"name":"collection_id","in":"path","required":true,"type":"string","description":"The Electronic Collection ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_electronic_collection.xsd. See [here](/alma/apis/docs/xsd/rest_electronic_collection.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/electronic_collection"}},"400":{"description":"Bad Request\n\n60151 - 'Failed to find the Electronic Collection ID.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings":{"get":{"tags":["Catalog"],"description":"This web service returns list of holding records for a given MMS.","summary":"Retrieve Holdings list","operationId":"get/almaws/v1/bibs/{mms_id}/holdings","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_holdings.xsd. See [here](/alma/apis/docs/xsd/rest_holdings.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/holdings"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Catalog"],"description":"This web service creates a new holding record.\n\n Note: JSON is not supported for this API.","summary":"Create holding record","operationId":"post/almaws/v1/bibs/{mms_id}/holdings","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_holding.xsd. See [here](/alma/apis/docs/xsd/rest_holding.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402211 - 'Given holding xml is invalid.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n402212 - 'Failed to create new holding.'\n\n33007 - 'No record found for MMS id X'\n\n33008 - 'Failed to create holding due to errors: X'\n\n33009 - 'Failed to create holding.'\n\n60105 - 'JSON is not supported for this API.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}":{"delete":{"tags":["Catalog"],"description":"This web service deletes a Holdings Record.","summary":"Delete Holdings Record","operationId":"delete/almaws/v1/bibs/{mms_id}/holdings/{holding_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"bib","in":"query","required":false,"default":"retain","type":"string","description":"Method for handling a Bib record left without any holdings: retain, delete or suppress. Optional. By default: retain."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n60212 - 'Deletion of holdings record failed.'\n\n402203 - 'Bib ID not valid.'\n\n60213 - 'Holding ID not valid.'\n\n60214 - 'Holding has been deleted or cannot be deleted.'\n\n60218 - 'Invalid action on Bib record without holdings.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Catalog"],"description":"This web service returns a Holdings Record. In order to use this service, authentication must be done by a user that has the 'API Fulfillment Read' role. Please note that the holding record is returned in MARC XML format, therefore it is not recommended to use this service with JSON format.","summary":"Retrieve Holdings Record","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_holding.xsd. See [here](/alma/apis/docs/xsd/rest_holding.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/holding"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Catalog"],"description":"This web service updates a Holdings Record.\n\n Note: JSON is not supported for this API.","summary":"Update Holdings Record","operationId":"put/almaws/v1/bibs/{mms_id}/holdings/{holding_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_holding.xsd. See [here](/alma/apis/docs/xsd/rest_holding.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n60105 - 'JSON is not supported for this API.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items":{"get":{"tags":["Catalog"],"description":"This web service returns a list of Items.\n\n\n\n[info!Note: It is possible to retrieve all the items under a bib record using 'ALL' in the holding_id path parameter.]","summary":"Retrieve Items list","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID. May be ALL to retrieve all holdings for a Bib."},{"name":"limit","in":"query","required":false,"default":"10","type":"integer","description":"Limits the number of results. Optional. Valid values are 0-100. Default value: 10."},{"name":"offset","in":"query","required":false,"default":"0","type":"integer","description":"Offset of the results returned. Optional. Default value: 0, which means that the first results will be returned."},{"name":"expand","in":"query","required":false,"default":"","type":"string","description":"Parameter for enhancing result with additional information. Currently supported: due_date_policy, due_date"},{"name":"user_id","in":"query","required":false,"default":"","type":"string","description":"The id of the user for which the discovery information will be calculated."},{"name":"current_library","in":"query","required":false,"default":"","type":"string","description":"The current library for the item."},{"name":"current_location","in":"query","required":false,"default":"","type":"string","description":"The current location of the item."},{"name":"q","in":"query","required":false,"default":"","type":"string","description":"Search from enum_a, enum_b, chron_i, chron_j, and description. (see [Brief Search](https://developers.exlibrisgroup.com/blog/How-we-re-building-APIs-at-Ex-Libris#BriefSearch))"},{"name":"order_by","in":"query","required":false,"default":"none","type":"string","description":"The sort order. Ordering may be selected by chron_i, description, enum_a, enum_b, enum_c, library, location or temporary_location. There is no default."},{"name":"direction","in":"query","required":false,"default":"desc","type":"string","description":"The sort direction of desc (default) or asc."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_items.xsd. See [here](/alma/apis/docs/xsd/rest_items.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/items"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402203 - 'The Bib Record is not valid.'\n\n401688 - 'Error while retrieving items.'\n\n402469 - 'Current library is not valid.'\n\n60215 - 'Current location is not valid.'\n\n60216 - 'The ordering is not valid.'\n\n60106 - 'Invalid query format.'\n\n60217 - 'The offset is too large.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Catalog"],"description":"This web service creates an Item.","summary":"Create Item","operationId":"post/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID. May be ALL to retrieve all holdings for a Bib."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item.xsd. See [here](/alma/apis/docs/xsd/rest_item.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n401885 - 'Given poline does not fit item; POLine's type must be physical one time.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans":{"get":{"tags":["Loans"],"description":"This web service returns Item Loan by Item information.","summary":"Loan By Item information","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loans.xsd. See [here](/alma/apis/docs/xsd/rest_item_loans.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item_loans"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Loans"],"description":"This web service loans an item to a user. The loan will be created according to the library's policy.","summary":"Create user loan","operationId":"post/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"user_id","in":"query","required":true,"type":"string","description":"A unique identifier of the loaning user. Mandatory."},{"name":"user_id_type","in":"query","required":false,"default":"all_unique","type":"string","description":"The type of identifier that is being searched. Optional. If this is not provided, all unique identifier types are used. The values that can be used are any of the values in the User Identifier Type code table."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loan.xsd. See [here](/alma/apis/docs/xsd/rest_item_loan.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401890 - 'User with identifier X of type Y was not found.'\n\n401153 - 'Item cannot be loaned from this circulation desk.'\n\n401651 - 'Item is not loanable.'\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests":{"get":{"tags":["Requests"],"description":"This web service returns a list of requests per the given item (using item_id).","summary":"Retrieve User Requests per Item","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Bib Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The item ID."},{"name":"request_type","in":"query","required":false,"default":"all_types","type":"string","description":"Filter results by request type. Optional. Possible values: HOLD, DIGITIZATION, BOOKING. If not supplied, all request types will be returned."},{"name":"status","in":"query","required":false,"default":"active","type":"string","description":"Active or history request status . The default is active."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_user_requests.xsd. See [here](/alma/apis/docs/xsd/rest_user_requests.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/user_requests"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n402203 - 'Input parameters mmsId X is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Requests"],"description":"This web service creates a request for a library resource. The request can be for a physical item (request types: hold, booking), or a request for digitizing a file (request type: digitization). Currently it is not possible to create a move or work order request.","summary":"Create request for an Item","operationId":"post/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The  requested Item ID."},{"name":"user_id","in":"query","required":false,"default":"","type":"string","description":"A unique identifier for the user. For a library level digitization request, leave empty."},{"name":"user_id_type","in":"query","required":false,"default":"all_unique","type":"string","description":"The type of identifier that is being searched. Optional. If this is not provided, all unique identifier types are used. The values that can be used are any of the values in the User Identifier Type code table."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_user_request.xsd. See [here](/alma/apis/docs/xsd/rest_user_request.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401890 - 'User with identifier X of type Y was not found.'\n\n401129 - 'No items can fulfill the submitted request.'\n\n401136 - 'Failed to save the request: Patron has active request for selected item.'\n\n60308 - 'Delivery to personal address is not supported.'\n\n60309 - 'User does not have address for personal delivery.'\n\n60310 - 'Delivery is not supported for this type of personal address.'\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests/{request_id}":{"get":{"tags":["Requests"],"description":"This web service return a request per the given item and request ID.","summary":"Retrieve User Item Request","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests/{request_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Bib Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The item ID."},{"name":"request_id","in":"path","required":true,"type":"string","description":"The Request ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_user_request.xsd. See [here](/alma/apis/docs/xsd/rest_user_request.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/user_request"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n402204 - 'Input parameters mmsId X is not numeric.'\n\n402203 - 'Input parameters mmsId X is not valid.'\n\n402204 - 'Input parameters requestId X is not numeric.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Requests"],"description":"This API performs an action on a request. Currently supported: moving digitization requests to their next step.","summary":"Action on a request - Item","operationId":"post/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests/{request_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"request_id","in":"path","required":true,"type":"string","description":"The request ID."},{"name":"op","in":"query","required":false,"default":"","type":"string","description":"The operation to be performed on the request. Mandatory. Currently only next_step is supported."},{"name":"release_item","in":"query","required":false,"default":"false","type":"string","description":"Boolean flag for indicating whether to release the item from the request"}],"responses":{"200":{"description":"OK - This method returns an object based on rest_user_request.xsd. See [here](/alma/apis/docs/xsd/rest_user_request.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/user_request"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n401907 - 'Failed to find a request for the given request ID.'\n\n402205 - 'Input parameter X (Y) is not numeric.'\n\n401932 - 'Request X is not a Digitization request'\n\n401933 - 'Cannot move forward in workflow. Request ID: X, Step: Y'\n\n401934 - 'Move digitization request to next step in workflow has failed. Request ID: X'\n\n401666 - 'X parameter is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Requests"],"description":"This web service updates a request for a library resource.","summary":"Update Item Request","operationId":"put/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/requests/{request_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"request_id","in":"path","required":true,"type":"string","description":"The request ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_user_request.xsd. See [here](/alma/apis/docs/xsd/rest_user_request.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"delete":{"tags":["Requests"],"description":"This web service canceles a request.","summary":"Cancel Request","operationId":"delete/almaws/v1/bibs/{mmsId}/holdings/{holdingId}/items/{itemPid}/requests/{requestId}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"request_id","in":"path","required":true,"type":"string","description":"The Request ID."},{"name":"reason","in":"query","required":true,"type":"string","description":"Code of the cancel reason. Must be a value from the code table 'RequestCancellationReasons'"},{"name":"note","in":"query","required":false,"default":"","type":"string","description":"Note with additional information regarding the cancellation."},{"name":"notify_user","in":"query","required":false,"default":"true","type":"boolean","description":"Boolean flag for notifying the requester of the cancellation (when relevant). Defaults to 'true'."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}":{"delete":{"tags":["Catalog"],"description":"This web service withdraws an item.","summary":"Withdraw Item","operationId":"delete/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"override","in":"query","required":false,"default":"false","type":"string","description":"Indication whether the item should be deleted even if warnings exist. Optional. By default: false."},{"name":"holdings","in":"query","required":false,"default":"retain","type":"string","description":"Method for handling a Holdings record left without any items: retain, delete or suppress. Optional. By default: retain."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Catalog"],"description":"This web service returns Item information.\n\n\n\n[info!Note: It is also possible to retrieve item information by barcode using: GET /almaws/v1/items?item_barcode={item_barcode}. Calling this shorthand URL will return an HTTP 302 redirect response leading to a URL with the structure documented here.]","summary":"Retrieve Item and label printing information","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"view","in":"query","required":false,"default":"brief","type":"string","description":"Special view of Item object. Optional. Currently supported: label - adds fields relevant for label printing."},{"name":"expand","in":"query","required":false,"default":"","type":"string","description":"Parameter for enhancing result with additional information. Currently supported: due_date_policy, due_date"},{"name":"user_id","in":"query","required":false,"default":"","type":"string","description":"The id of the user which the due_date_policy expand will be calculated for. Default: GUEST."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item.xsd. See [here](/alma/apis/docs/xsd/rest_item.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Catalog"],"description":"This web service allows to perform a Scan-in operation on an item. The service imitates the behavior of the the Alma UI, therefore, parameters should be sent only if they appear in the specific scan-in page in the UI. For example, the Done parameter should only be sent when the scan-in is done at a department.","summary":"Scan-in operation on item.","operationId":"post/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"op","in":"query","required":true,"type":"string","description":"The operation that is to be performed. Currently, only option is: scan."},{"name":"external_id","in":"query","required":false,"default":"false","type":"string","description":"External ID. Options: true or false."},{"name":"request_id","in":"query","required":true,"type":"string","description":"The request ID. Needed when item is not yet bound to a single request and there are multiple requests which scanned item can fulfill."},{"name":"library","in":"query","required":true,"type":"string","description":"The library code of the given circulation desk or department where the action is being performed."},{"name":"circ_desk","in":"query","required":true,"type":"string","description":"The circulation desk where the action is being performed. Send either this parameter or the department parameter."},{"name":"department","in":"query","required":true,"type":"string","description":"The department where the action is being performed. Send either this parameter or the circ_desk parameter."},{"name":"work_order_type","in":"query","required":true,"type":"string","description":"The work order type which is to be performed, or is being performed on the scanned in item."},{"name":"status","in":"query","required":true,"type":"string","description":"The work order status to which we want to move the item. Optional input is defined by the work order type."},{"name":"done","in":"query","required":false,"default":"false","type":"string","description":"Work order processing is completed on the item. Options: true or false. Only relevant when department parameter is sent."},{"name":"auto_print_slip","in":"query","required":false,"default":"false","type":"string","description":"Automatically print a slip. Options: true or false."},{"name":"place_on_hold_shelf","in":"query","required":false,"default":"false","type":"string","description":"Place on hold shelf. Options: true or false."},{"name":"confirm","in":"query","required":false,"default":"false","type":"string","description":"Confirm the action on the item. Options: true or false."},{"name":"register_in_house_use","in":"query","required":false,"default":"true","type":"string","description":"Register in house uses. Options: true or false."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item.xsd. See [here](/alma/apis/docs/xsd/rest_item.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Catalog"],"description":"This web service updates Item information.","summary":"Update Item information","operationId":"put/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item.xsd. See [here](/alma/apis/docs/xsd/rest_item.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'\n\n401885 - 'Given poline does not fit item; POLine's type must be physical one time.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/booking-availability":{"get":{"tags":["Requests"],"description":"This web service returns list of periods in which specific item is unavailable for booking.","summary":"Retrieve booking availability for an Item","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/booking-availability","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"period","in":"query","required":true,"type":"integer","description":"The number of days/weeks/months to retrieve availability for. Mandatory."},{"name":"period_type","in":"query","required":true,"type":"string","description":"The type of period of interest. Optional. Possible values: days, weeks, months. Default: days."},{"name":"user_id","in":"query","required":false,"default":"","type":"string","description":"A unique identifier for the user, for which the booking request is about to be done. Optional. If not supplied, the system will calculate a minimal availability."},{"name":"user_id_type","in":"query","required":false,"default":"all_unique","type":"string","description":"The type of identifier that is being searched. Optional. If this is not provided, all unique identifier types are used. The values that can be used are any of the values in the User Identifier Type code table."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_booking_availability.xsd. See [here](/alma/apis/docs/xsd/rest_booking_availability.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/booking_availability"}},"400":{"description":"Bad Request\n\n401890 - 'User with identifier X of type Y was not found.'\n\n4018990 - 'Unsupported period type.'\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans/{loan_id}":{"get":{"tags":["Loans"],"description":"This web service returns Item Loan information.","summary":"Retrieve Item Loan information","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans/{loan_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"loan_id","in":"path","required":true,"type":"string","description":"The Loan ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loan.xsd. See [here](/alma/apis/docs/xsd/rest_item_loan.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item_loan"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Loans"],"description":"This Web service performs an action on a loan.","summary":"Action on a loan","operationId":"post/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans/{loan_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"loan_id","in":"path","required":true,"type":"string","description":"The Loan ID."},{"name":"op","in":"query","required":true,"type":"string","description":"Operation. Currently only op=renew is supported"}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loan.xsd. See [here](/alma/apis/docs/xsd/rest_item_loan.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item_loan"}},"400":{"description":"Bad Request\n\n401823 - 'Loan ID XXX does not exist.'\n\n401822 - 'Cannot renew loan: Loan ID XXX.'\n\n60211 - 'Loan operation not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Loans"],"description":"This Web service changes a loan due date.","summary":"Change loan due date","operationId":"put/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/loans/{loan_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"loan_id","in":"path","required":true,"type":"string","description":"The Loan ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loan.xsd. See [here](/alma/apis/docs/xsd/rest_item_loan.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n401823 - 'Loan ID XXX does not exist.'\n\n401824 - 'Due date is not in loan object.'\n\n401681 - 'Due date cannot be in the past.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/request-options":{"get":{"tags":["Request Options"],"description":"Retrieve the request options for this item.","summary":"Retrieve request options.","operationId":"get/almaws/v1/bibs/{mms_id}/holdings/{holding_id}/items/{item_id}/request-options","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"holding_id","in":"path","required":true,"type":"string","description":"The Holding Record ID."},{"name":"item_id","in":"path","required":true,"type":"string","description":"The Item ID."},{"name":"user_id","in":"query","required":false,"default":"GUEST","type":"string","description":"The id of the user for which the request options will be calculated. Default value: GUEST"}],"responses":{"200":{"description":"OK - This method returns an object based on rest_request_options.xsd. See [here](/alma/apis/docs/xsd/rest_request_options.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/request_options"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/loans":{"get":{"tags":["Loans"],"description":"This web service returns Loan information for a Bib record.","summary":"Retrieve Bib Loan information","operationId":"get/almaws/v1/bibs/{mms_id}/loans","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loan.xsd. See [here](/alma/apis/docs/xsd/rest_item_loan.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item_loan"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/loans/{loan_id}":{"get":{"tags":["Loans"],"description":"This Web service retrieves loan information for a particular Bib id and Loan id.","summary":"Retrieve Bib Loan information for a Bib id and Loan id","operationId":"get/almaws/v1/bibs/{mms_id}/loans/{loan_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"loan_id","in":"path","required":true,"type":"string","description":"The Loan ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_item_loan.xsd. See [here](/alma/apis/docs/xsd/rest_item_loan.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/item_loan"}},"400":{"description":"Bad Request\n\n401652 - 'General Error - An error has occurred while processing the request.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/portfolios":{"get":{"tags":["Catalog"],"description":"This web service returns Portfolios for a Bib.","summary":"Retrieve Portfolios list","operationId":"get/almaws/v1/bibs/{mms_id}/portfolios","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"limit","in":"query","required":false,"default":"10","type":"integer","description":"Limits the number of results. Optional. Valid values are 0-100. Default value: 10."},{"name":"offset","in":"query","required":false,"default":"0","type":"integer","description":"Offset of the results returned. Optional. Default value: 0, which means that the first results will be returned."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_portfolios.xsd. See [here](/alma/apis/docs/xsd/rest_portfolios.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/portfolios"}},"400":{"description":"Bad Request\n\n402203 - 'Input parameter mms Id is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/portfolios/":{"post":{"tags":["Catalog"],"description":"This web service creates a Portfolio for a Bib.","summary":"Create Portfolio for a Bib","operationId":"post/almaws/v1/bibs/{mms_id}/portfolios/","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_portfolio.xsd. See [here](/alma/apis/docs/xsd/rest_portfolio.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n60221 - 'The MMS ID is not valid.'\n\n60161 - 'The portfolio availability code is not valid.'\n\n60222 - 'Failed to create the IEE metadata.'\n\n60163 - 'Failed to create the TPS metadata.'\n\n60164 - 'Failed to create the Portfolio metadata.'\n\n60165 - 'A metadata operation has failed.'\n\n60166 - 'The URL type is not valid.'\n\n60167 - 'The proxy enable flag is not valid.'\n\n60168 - 'The proxy code is not valid.'\n\n60169 - 'The license is not valid.'\n\n60170 - 'The coverage in use is not valid.'\n\n60171 - 'The material type is not valid.'\n\n60172 - 'The PO line reference is not valid.'\n\n402469 - 'The library code is not valid.'\n\n60223 - 'The interface name is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/portfolios/{portfolio_id}":{"delete":{"tags":["Catalog"],"description":"This web service deletes a Portfolio for a Bib.","summary":"Delete Portfolio for a Bib","operationId":"delete/almaws/v1/bibs/{mms_id}/portfolios/{portfolio_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"portfolio_id","in":"path","required":true,"type":"string","description":"Unique ID of the electronic portfolio."},{"name":"bib","in":"query","required":false,"default":"retain","type":"string","description":"Method for handling a bib left without any inventory: retain, suppress or delete. Optional. By default: delete."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n60221 - 'The MMS ID is not valid.'\n\n60123 - 'Failed to find the Portfolio ID.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Catalog"],"description":"This web service returns a Portfolio for a Bib ID and an Electronic Portfolio ID.","summary":"Retrieve Portfolio","operationId":"get/almaws/v1/bibs/{mms_id}/portfolios/{portfolio_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"portfolio_id","in":"path","required":true,"type":"string","description":"Unique ID of the electronic portfolio."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_portfolio.xsd. See [here](/alma/apis/docs/xsd/rest_portfolio.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/portfolio"}},"400":{"description":"Bad Request\n\n402203 - 'Input parameter mms Id is not valid.'\n\n60123 - 'Failed to find the Portfolio ID.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Catalog"],"description":"This web service updates a Portfolio for a Bib.","summary":"Update Portfolio for a Bib","operationId":"put/almaws/v1/bibs/{mms_id}/portfolios/{portfolio_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"portfolio_id","in":"path","required":true,"type":"string","description":"Unique ID of the electronic portfolio."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_portfolio.xsd. See [here](/alma/apis/docs/xsd/rest_portfolio.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n60221 - 'The MMS ID is not valid.'\n\n60123 - 'Failed to find the Portfolio ID.'\n\n60161 - 'The portfolio availability code is not valid.'\n\n60165 - 'A metadata operation has failed.'\n\n60166 - 'The URL type is not valid.'\n\n60167 - 'The proxy enable flag is not valid.'\n\n60168 - 'The proxy code is not valid.'\n\n60169 - 'The license is not valid.'\n\n60170 - 'The coverage in use is not valid.'\n\n60171 - 'The material type is not valid.'\n\n60172 - 'The PO line reference is not valid.'\n\n402469 - 'The library code is not valid.'\n\n60223 - 'The interface name is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/reminders":{"get":{"tags":["Reminders"],"description":"This Web service returns a list of Reminders for a BIB Entity.\n","summary":"Retrieve a list of Reminders for BIB","operationId":"get/almaws/v1/bibs/{mms_id}/reminders","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"MMS ID. Required."},{"name":"type","in":"query","required":false,"default":"","type":"string","description":"Type for filtering. Optional. Valid values are from the ReminderTypes code table"},{"name":"status","in":"query","required":false,"default":"","type":"string","description":"Status for filtering. Optional. Valid values are from the ReminderStatuses code table"},{"name":"from","in":"query","required":false,"default":"","type":"string","description":"From this Date (YYYY-MM-DD). Optional. Defaults to today."},{"name":"to","in":"query","required":false,"default":"","type":"string","description":"To this Date (YYYY-MM-DD). Optional. Defaults to the From Date."},{"name":"order_by","in":"query","required":false,"default":"type","type":"string","description":"Order by parameter. Optional. Valid values are type, status, reminder_date."},{"name":"direction","in":"query","required":false,"default":"asc","type":"string","description":"Direction parameter. Optional. Valid values are asc, desc."},{"name":"limit","in":"query","required":false,"default":"10","type":"integer","description":"Limits the number of results. Optional. Valid values are 0-100. Default value: 10."},{"name":"offset","in":"query","required":false,"default":"0","type":"integer","description":"Offset of the results returned. Optional. Default value: 0, which means that the first results will be returned."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_reminders.xsd. See [here](/alma/apis/docs/xsd/rest_reminders.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/reminders"}},"400":{"description":"Bad Request\n\n60221 - 'Parameter value mms_id is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"post":{"tags":["Reminders"],"description":"This Web service creates a Reminder for a BIB Entity.\n","summary":"Creates a Reminder for BIB","operationId":"post/almaws/v1/bibs/{mms_id}/reminders","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"MMS ID. Required."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_reminder.xsd. See [here](/alma/apis/docs/xsd/rest_reminder.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n60221 - 'Parameter value mms_id is not valid.'\n\n60178 - 'Reminder Type is not valid.'\n\n60179 - 'Reminder Status is not valid.'\n\n60180 - 'Reminder not created.'\n\n60185 - 'Reminder Date is required.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/reminders/{reminder_id}":{"delete":{"tags":["Reminders"],"description":"This Web service deletes a Reminder for a BIB Entity.\n","summary":"Delete a Reminder for BIB","operationId":"delete/almaws/v1/bibs/{mms_id}/reminders/{reminder_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"MMS ID. Required."},{"name":"reminder_id","in":"path","required":true,"type":"string","description":"Reminder ID. Required."}],"responses":{"204":{"description":"Deleted"},"400":{"description":"Bad Request\n\n60177 - 'Reminder ID is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"get":{"tags":["Reminders"],"description":"This Web service returns a Reminder for a BIB Entity.\n","summary":"Retrieve a Reminder for BIB","operationId":"get/almaws/v1/bibs/{mms_id}/reminders/{reminder_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"MMS ID. Required."},{"name":"reminder_id","in":"path","required":true,"type":"string","description":"Reminder ID. Required."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_reminder.xsd. See [here](/alma/apis/docs/xsd/rest_reminder.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}},"schema":{"$ref":"#/definitions/reminder"}},"400":{"description":"Bad Request\n\n60177 - 'Reminder ID is not valid.'\n\n60221 - 'Parameter value mms_id is not valid.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"},"put":{"tags":["Reminders"],"description":"This Web service updates a Reminder for a BIB Entity.\n","summary":"Update a Reminder for BIB","operationId":"put/almaws/v1/bibs/{mms_id}/reminders/{reminder_id}","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"MMS ID. Required."},{"name":"reminder_id","in":"path","required":true,"type":"string","description":"Reminder ID. Required."}],"responses":{"200":{"description":"OK - This method returns an object based on rest_reminder.xsd. See [here](/alma/apis/docs/xsd/rest_reminder.xsd)","headers":{"X-Exl-Api-Remaining":{"description":"The number of remaining calls according to the [Governance Threshold](https://developers.exlibrisgroup.com/alma/apis/#threshold)","type":"number"}}},"400":{"description":"Bad Request\n\n60177 - 'Reminder ID is not valid.'\n\n60178 - 'Reminder Type is not valid.'\n\n60179 - 'Reminder Status is not valid.'\n\n60181 - 'Reminder not updated.'"},"500":{"description":"Internal Server Error"}},"x-auth-type":"Application & Application User","x-throttling-tier":"Unlimited"}},"/almaws/v1/bibs/{mms_id}/representations":{"get":{"tags":["Digital Representations"],"description":"This web service returns a list of Digital Representations for a given Bib MMS-ID.","summary":"Retrieve Representations","operationId":"get/almaws/v1/bibs/{mms_id}/representations","parameters":[{"name":"mms_id","in":"path","required":true,"type":"string","description":"The Bib Record ID."},{"name":"orig
[...]
